summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-03-08 19:04:08 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-03-08 19:04:39 +0100
commitd7443e05892e21953f2476002a87f3c0213706bb (patch)
treebdc943e4106bc2c6f20218650cf96563b88f1827 /kde-apps/kolourpaint
parentsys-fs/zfs: drop old (diff)
downloadgentoo-d7443e05892e21953f2476002a87f3c0213706bb.tar.gz
gentoo-d7443e05892e21953f2476002a87f3c0213706bb.tar.bz2
gentoo-d7443e05892e21953f2476002a87f3c0213706bb.zip
kde-apps: Add KDE Applications 17.12.3
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'kde-apps/kolourpaint')
-rw-r--r--kde-apps/kolourpaint/Manifest1
-rw-r--r--kde-apps/kolourpaint/kolourpaint-17.12.3.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/kde-apps/kolourpaint/Manifest b/kde-apps/kolourpaint/Manifest
index cf3d3489a01..1d0152b2685 100644
--- a/kde-apps/kolourpaint/Manifest
+++ b/kde-apps/kolourpaint/Manifest
@@ -1,2 +1,3 @@
DIST kolourpaint-17.08.3.tar.xz 5546536 BLAKE2B 14f1950f8b9cf0af985998489b7a369ad64ebf531d1a3c8763236114bb076db9a530c2950d877cf854067b02374eccf3367e9ef7694f46d0bf0bee4c8da4ce42 SHA512 4b7ff817eb8d35ae7d0d9c4f96036b1236d974e08f2db79080658b7b7b78111deaf23340f0216c9c60c367324cd36f4d62470220ab1bff27f6277c2a09b3dce2
DIST kolourpaint-17.12.2.tar.xz 5546252 BLAKE2B 048834050ac08dbda184c7d96e3c7170b67bb1e5b8bb5c719acc9cabeb7f1a14e19b9397a1c5a2acd4ddc296ae8737a7ce03cd07f81693c99193e9586dd80976 SHA512 47965664a9749fad289f24975eddac726b266351820c2f94a82f714825d53c9bd6c37ff6f2cc30d47f8be759554c8f9682504e9b2acb4e95751b474f443fd527
+DIST kolourpaint-17.12.3.tar.xz 5546236 BLAKE2B 9cf7aa982fc92fcead172a43bcd0a73b9fe88b05a893d51251600bf3a22eee8973f112874f5253bc127c8b287837a144d0f2a2e21b997affb73979af50b34797 SHA512 abe94f8bb56e975914302429f9d38fdd7ee5cd7b7942f0684fd993c2db0c3b7ab83b7562eed2c1e5d8330939df7705ba99dfe15249a5f6f1abb6c5b1e837d2fd
diff --git a/kde-apps/kolourpaint/kolourpaint-17.12.3.ebuild b/kde-apps/kolourpaint/kolourpaint-17.12.3.ebuild
new file mode 100644
index 00000000000..5052eeec56d
--- /dev/null
+++ b/kde-apps/kolourpaint/kolourpaint-17.12.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="true"
+inherit kde5
+
+DESCRIPTION="Paint Program by KDE"
+HOMEPAGE="https://www.kde.org/applications/graphics/kolourpaint/"
+KEYWORDS="~amd64 ~x86"
+LICENSE="BSD-2 LGPL-2 LGPL-2+ || ( LGPL-2.1 LGPL-3 ) GPL-2 handbook? ( FDL-1.2 )"
+IUSE="scanner"
+
+RDEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdelibs4support)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtprintsupport)
+ $(add_qt_dep qtwidgets)
+ scanner? ( $(add_kdeapps_dep libksane) )
+"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package scanner KF5Sane)
+ )
+
+ kde5_src_configure
+}